Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to setup my Opencart site, and I have the local site working on my Debian development machine, for production I have a Centos 5.4 VPS with apache and stuff. When I try to install OpenCart in the VPS, on step 2 it says:

Warning: mCrypt extension needs to be loaded for OpenCart to work!

Also shows extensions such as mysql, GD, cURL and mCrypt set to off and when they should be set to on.

The version of mCrypt is

Mcrypt v2.6.8 (x86_64-redhat-linux-gnu)
Enlazado contra libmcrypt v2.5.8

PHP -V

PHP 5.3.28 (cli) (built: Dec 18 2013 20:31:55) 
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2013 Zend Technologies

PHP -m

bcmath
bz2
calendar
Core
ctype
curl
date
dom
ereg
exif
fileinfo
filter
ftp
gd
gettext
gmp
hash
iconv
json
libxml
mbstring
mcrypt
memcache
mysql
mysqli
openssl
pcntl
pcre
PDO
pdo_mysql
pdo_sqlite
Phar
readline
Reflection
session
shmop
SimpleXML
snmp
soap
sockets
SPL
sqlite3
standard
tokenizer
wddx
xml
xmlreader
xmlrpc
xmlwriter
xsl
zip
zlib

and apache version:

Server version: Apache/2.2.3
Server built:   Oct 16 2013 12:18:29

As you can see, everything seems to on it's place, but still doesn't work.

share|improve this question
add comment

1 Answer

We had the same issue and its fixed by below commands,

mv -i /etc/php5/conf.d/mcrypt.ini /etc/php5/mods-available/

sudo php5enmod mcrypt

sudo service apache2 restart
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.